#ifndef __gui__widgets__poster_h
#define __gui__widgets__poster_h
#include <QFrame>
#include <QImage>

class QWidget;
class ClickableLabel;

class Poster : public QFrame {
		Q_OBJECT

	public:
		Poster(int id, QWidget* parent = nullptr);

	protected:
		void resizeEvent(QResizeEvent*) override;

	private:
		QImage img;
		ClickableLabel* label;
};

#endif // __gui__widgets__poster_h